Improve this Doc View Source

## Overview

Specify custom behavior on mouseenter event.

## Directive Info

- This directive executes at priority level 0.

## Usage

- as attribute:

      <ANY
        ng-mouseenter="expression">
      ...
      </ANY>

### Arguments

Param | Type | Details
--- | --- | ---
ngMouseenter | expression | Expression to evaluate upon mouseenter. (Event object is available as `$event`)

## Example

    <button ng-mouseenter="count = count + 1" ng-init="count=0">
      Increment (when mouse enters)
    </button>
    count: {{count}}